fop 2.3

## org.apache.fop.render.java2d
Class Java2DRendererConfig

    java.lang.Object
      org.apache.fop.render.java2d.Java2DRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class Java2DRendererConfig

extends java.lang.Object
implements RendererConfig

The Java2D renderer configuration data object.

Nested Class Summary
`static class` `Java2DRendererConfig.Java2DRendererConfigParser` The Java2D renderer configuration data parser.

Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig
`RendererConfig.RendererConfigParser`

Method Summary
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.
`java.lang.Boolean` `isPageBackgroundTransparent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

  Description copied from interface: `RendererConfig`
  Returns the render-specific font configuration information.

  Specified by:
    `getFontInfoConfig` in interface `RendererConfig`
  Returns:
    the font config

### isPageBackgroundTransparent

    public java.lang.Boolean isPageBackgroundTransparent()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.